Subject: Re: RAMDISK on EP88xc

From: Gary Thomas <[email-masked]>
Date: Thu, 02 Jul 2009 07:54:20 -0600

Mikhail Zaturenskiy wrote:
> On Thu, Jul 2, 2009 at 2:10 AM, Frank
> Svendsbøe<[email-masked]> wrote:
>> On Wed, Jul 1, 2009 at 10:14 PM, Mikhail
>> Zaturenskiy<[email-masked]> wrote:
>> Hmm... according to "Kernel command line: console=ttyCPM0,9600n8
>> loglevel=7" you haven't
>> specified where root is. Add root=/dev/ram to the kernel command line,
>> and specify where the
>> init process is located (for instance init=/sbin/init).
>>
>> I haven't tried Denks ramdisk image. You can create one for yourself
>> using dd, gzip and U-Boots
>> mkimage tool. If the ramdisk image is larger than 4MB, you must either
>> change the default
>> CONFIG_BLK_DEV_RAM_SIZE=4096, or set ramdisk size in the kernel command line.
>>
>> Btw, I use an older kernel than you use, but I have these defined:
>> CONFIG_BLK_DEV=y
>> CONFIG_BLK_DEV_LOOP=y
>> CONFIG_BLK_DEV_RAM=y
>> CONFIG_BLK_DEV_RAM_COUNT=16
>> CONFIG_BLK_DEV_RAM_SIZE=4096
>>
>> Maybe they're obsolete now, but you can try to add them to your defconfig file.
>>
>> Good luck ;-)
>>
> 
> Thanks Frank, this seems to be leading me down the right path. I tried
> some of those defines out yesterday and they got the kernel to at
> least attempt to load the ramdisk, so I'm getting somewhere. Also
> added root=/dev/ram (also tried /dev/ram0) and init=/sbin/init but for
> now things are failing before processing those args.
> 
> I haven't tried CONFIG_BLK_DEV or CONFIG_BLK_DEV_LOOP and am still
> playing around with the values for CONFIG_BLK_DEV_RAM_COUNT and
> CONFIG_BLK_DEV_RAM_SIZE. Strangely, the DEV_RAM defines are completely
> missing from my config so I have to put them in manually... (as
> opposed to via menuconfig). I'll post back when it's working or when
> I've tried all of this and still am getting some error.

If you don't have CONFIG_BLK_DEV defined, you can't have CONFIG_BLK_DEV_RAM_COUNT
or CONFIG_BLK_DEV_RAM_SIZE.  Use 'menuconfig' to help straighten this out.

> Meanwhile a side question - why does BLK_DEV_RAM_COUNT default to 16?

This is just the number of unique RAM disk devices supported.

-- 
------------------------------------------------------------
Gary Thomas                 |  Consulting for the
MLB Associates              |    Embedded world
------------------------------------------------------------